package com.fs.api.controller;

import com.fs.statis.cache.IStatisticsCacheService;
import com.fs.statis.dto.*;
import com.fs.statis.service.IStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.fs.common.core.domain.R;

/**
 * 首页-统计
 */
@RestController
@RequestMapping("/index/statistics")
public class IndexStatisticsController {
    @Autowired
    private IStatisticsCacheService statisticsService;
    @Autowired
    private IStatisticsService statisticsService1;
    /**
     * 分析概览
     */
    @PostMapping("/analysisPreview")
    public R analysisPreview(@RequestBody AnalysisPreviewQueryDTO param){
        AnalysisPreviewDTO analysisPreviewDTO = statisticsService.analysisPreview(param);
        return R.ok().put("data",analysisPreviewDTO);
    }

    @GetMapping("/rechargeComsumption")
    public R rechargeComsumption(){
        ConsumptionBalanceDataDTO consumptionBalanceDataDTO = statisticsService.rechargeConsumption();
        return R.ok().put("data", consumptionBalanceDataDTO);
    }

    /**
     * 观看趋势
     */
    @GetMapping("/watchEndPlayTrend")
    public void watchEndPlayTrend(){

    }

    /**
     * 经销商会员观看
     */
    @GetMapping("/deaMemberTopTen")
    public void deaMemberTopTen(){

    }

    /**
     * 奖励金额top10
     */
    @GetMapping("/rewardMoneyTopTen")
    public void rewardMoneyTopTen(){

    }

    /**
     * 答题红包金额趋势图
     */
    @GetMapping("/rewardMoneyTrend")
    public void rewardMoneyTrend(){

    }

    /**
     * 课程观看top10
     */
    @GetMapping("/watchCourseTopTen")
    public void watchCourseTopTen(){

    }

    /**
     * 数据概览
     */
    @GetMapping("/dealerAggregated")
    public R dealerAggregated(){
        DealerAggregatedDTO dealerAggregatedDTO = statisticsService.dealerAggregated();
        return R.ok().put("data",dealerAggregatedDTO);
    }

    /**
     * 短信余额
     */
    @GetMapping("/smsBalance")
    public R smsBalance(){
        Long smsBalance = statisticsService1.smsBalance();
        return R.ok().put("data", smsBalance);
    }


    /**
     * 授权信息
     */
    @GetMapping("/authorizationInfo")
    public R authorizationInfo(){
        AuthorizationInfoDTO authorizationInfoDTO = statisticsService1.authorizationInfo();
        return R.ok().put("data", authorizationInfoDTO);
    }
}
